Page MenuHomePhabricator

Decouple tokenized request data from InvestigatePager
Closed, ResolvedPublic

Description

Remove the logic to parse and handle tokenized data on the request from the base class and move it into its own service

Event Timeline

dmaza created this task.Mar 31 2020, 3:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2020, 3:09 PM
dmaza moved this task from Untriaged to The Letter Song on the Anti-Harassment board.
dmaza moved this task from Ready to In Progress on the Anti-Harassment (The Letter Song) board.

Change 585805 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/CheckUser@master] [wip] remove investigate-pager

https://gerrit.wikimedia.org/r/585805

Change 585805 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Move token-query business logic into its own class

https://gerrit.wikimedia.org/r/585805

dom_walden added a subscriber: dom_walden.

I did some regression testing of the token functionality on my local environment (CheckUser 2.5 (22d80de) 16:17, 13 May 2020).

Checking that state (including investigated users/ips and filters) persisted across pages, tabs and browser refreshing.

Niharika closed this task as Resolved.May 18 2020, 10:33 PM